<script lang="ts">
  import { Meta, Template, Story } from "@storybook/addon-svelte-csf";
  import Button from "./Button.svelte";
</script>

<!-- More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export -->
<!-- More on argTypes: https://storybook.js.org/docs/svelte/api/argtypes -->
<Meta
  title="Components/Button/svelte-version"
  component={Button}
  argTypes={{
    onClick: { action: 'onClick' },
    primary: { control: 'boolean' },
    labelSlot: { control: 'text' },
    size: {
      control: {
        type: 'select',
        options: ['small', 'medium', 'large']
      },
    },
    backgroundColor: { control: 'color' }
  }}
/>

<!-- More on component templates: https://storybook.js.org/docs/svelte/writing-stories/introduction#using-args -->
<Template let:args>
    <Button {...args} on:click={args.onClick}>
      { args.labelSlot }
    </Button>
</Template>

<!-- More on args: https://storybook.js.org/docs/svelte/writing-stories/args -->
<Story
  name="Primary"
  args={{
    primary: true,
    labelSlot: "Button",
  }}
/>

<Story
  name="Secondary"
  args={{
    labelSlot: "Button",
  }}
/>

<Story
  name="Large"
  args={{
    size: "large",
    labelSlot: "Button",
  }}
/>

<Story
  name="Small"
  args={{
    size: "small",
    labelSlot: "Button",
  }}
/>

<Story
  name="Inaccessible"
  args={{
    primary: true,
    backgroundColor: "white",
    labelSlot: "Button",
  }}
/>